Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.util.reflection
Class Fields

    java.lang.Object
      org.mockito.internal.util.reflection.Fields

    @Incubating
    public abstract class Fields

extends java.lang.Object

Small fluent reflection tools to work with fields. Code is very new and might need rework.

Nested Class Summary
`static class` | `Fields.InstanceFields`

Constructor Summary
`Fields()`

Method Summary
`static Fields.InstanceFields` | `allDeclaredFieldsOf(java.lang.Object instance)` Instance fields declared in thes class and superclasses of the given instance.
`static ListUtil.Filter<InstanceField>` | `annotatedBy(java.lang.Class<? extends java.lang.annotation.Annotation>... annotations)` Accept fields annotated by the given annotations.
`static Fields.InstanceFields` | `declaredFieldsOf(java.lang.Object instance)` Instance fields declared in the of the given instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fields

    public Fields()

Method Detail

### allDeclaredFieldsOf

    public static Fields.InstanceFields allDeclaredFieldsOf(java.lang.Object instance)

  Instance fields declared in thes class and superclasses of the given instance.

  Parameters:
    `instance` - Instance from which declared fields will be retrieved.
  Returns:
    InstanceFields of this object instance.

### declaredFieldsOf

    public static Fields.InstanceFields declaredFieldsOf(java.lang.Object instance)

  Instance fields declared in the of the given instance.

  Parameters:
    `instance` - Instance from which declared fields will be retrieved.
  Returns:
    InstanceFields of this object instance.

### annotatedBy

    public static ListUtil.Filter<InstanceField> annotatedBy(java.lang.Class<? extends java.lang.annotation.Annotation>... annotations)

  Accept fields annotated by the given annotations.

  Parameters:
    `annotations` - Annotation types to check.
  Returns:
    The filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD